## org.dom4j.dtd
Class InternalEntityDecl

    java.lang.Object
      org.dom4j.dtd.InternalEntityDecl

public class InternalEntityDecl
extends Object

`InternalEntityDecl` represents an internal entity declaration in a DTD.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Constructor Summary
`InternalEntityDecl()`
`InternalEntityDecl(String name, String value)`

Method Summary
`String` `getName()` Getter for property name.
`String` `getValue()` Getter for property value.
`void` `setName(String name)` Setter for property name.
`void` `setValue(String value)` Setter for property value.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalEntityDecl

    public InternalEntityDecl()

### InternalEntityDecl

    public InternalEntityDecl(String name,
                              String value)

Method Detail

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getValue

    public String getValue()

  Getter for property value.

  Returns:
    Value of property value.

### setValue

    public void setValue(String value)

  Setter for property value.

  Parameters:
    `value` - New value of property value.

### toString

    public String toString()

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.